/************************************************************************

  	PIC Etherfeed - tickling your ego or statistics? If you have a
	website, blog or any other web service than the etherfeed is for you.
	The etherfeed is a small standalone network device, it connects to the
	Internet and displays statistical data about your website like number
	of unique visitors, number of pageviews, PayPal sales (SUM of sales via
	the PayPal IPN), Facebook likes for your brand / group and weather data
	like temperature, humidity for your location.
	
	OpenSource & OpenHardware project with kits available at:

	http://www.etherfeed.com
	https://www.facebook.com/etherfeed

    Copyright (C) 2012  Boris Ribov, Georgi Bakalski, Militsa Ilieva

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 *********************************************************************
 *
 *  Main Application - Headers for the Etherfeed with TCP/IP
 * 	FileName: Etherfeed.h
 *********************************************************************
 * Boris Ribov   01/07/2012    Rev. 2.0		; Base version of the project
 ********************************************************************/

#ifndef _ETHERFEED_H
#define _ETHERFEED_H

#define BAUD_RATE       (19200)		// bps

#if !defined(THIS_IS_STACK_APPLICATION)
	//extern BYTE AN0String[8];
#endif

void DoUARTConfig(void);

#if defined(EEPROM_CS_TRIS) || defined(SPIFLASH_CS_TRIS)
	void SaveAppConfig(void);
#else
	#define SaveAppConfig()
#endif

#endif // _ETHERFEED_H
